# Get a Operations for a device

Endpoint: GET /v0/devices/{deviceId}/operations/
Version: 1.0.0
Security: apiKey

## Path parameters:

  - `deviceId` (string, required)
    ID of the Device
    Example: "17d384d3-29bd-4dd4-af64-d02b9d6d54ee"

## Response 200 fields (application/json):

  - `count` (integer)

  - `previous` (string)

  - `next` (string)

  - `results` (array)

  - `results.id` (string)

  - `results.operation` (string)
    Enum: "CONVERGE"

  - `results.state` (string)
    Enum: "CREATED", "RESOLVING", "RESOLVED", "DISPATCHING", "COMPLETED", "FAILED"

  - `results.schedule_type` (string)
    Following Schedule types are supported
```
* IMMEDIATE: Schedule the command to execcute Immediately
* WINDOW: Schedule the command to execute within the given window
    Enum: "IMMEDIATE", "WINDOW"

  - `results.schedule_args` (object)

  - `results.schedule_args.start_datetime` (string)
    Start date and time in ISO 8601 format, including timezone (e.g., 2024-08-08T14:30:00Z or 2024-08-08T14:30:00+05:30).

  - `results.schedule_args.end_datetime` (string)
    End date and time in ISO 8601 format, including timezone (e.g., 2024-08-08T15:30:00Z or 2024-08-08T15:30:00+05:30).

  - `results.schedule_args.time_type` (string)
    The Time-Type argument, in Schedule args, is to indicate which timezone the Command Framework should utilize when scheduling the command.
Following Schedule Args for Time-Type are supported:


* CONSOLE: Use the local timezone of the user creating the schedule.
* DEVICE: Use the local timezone of the device, to which the command is issued, wherever it may be.
    Enum: "console", "device"

  - `results.schedule_args.window_start_time` (string)
    It is automatically populated by the time field from the request's start_datetime and cannot be injected via the API request body.

  - `results.schedule_args.window_end_time` (string)
    It is automatically populated by the time field from the request's end_datetime and cannot be injected via the API request body.

  - `results.schedule_args.days` (array)

  - `results.operation_device_query` (object)

  - `results.arguments` (object)

  - `results.arguments.converge_with_provision` (boolean)

  - `results.arguments.sample_key` (string)

  - `results.arguments.geofence_ids` (array)
    List of geofence UUIDs to apply (APPLY_GEO_FENCE).

  - `results.reason` (string)

  - `results.created_at` (string)

  - `results.created_by` (string)

  - `results.updated_at` (string)

  - `results.updated_by` (string)

  - `results.operation_activity` (array)

  - `results.operation_activity.operation_state` (string)
    Enum: "CREATED", "QUERY INITIATED", "QUERY RESOLVED", "DISPATCHING", "DISPATCHED", "PROCESSING", "SUCCESS", "FAILURE"

  - `results.operation_activity.created_at` (string)

  - `results.operation_stats` (object)

  - `results.operation_stats.device_operation_statuses_count` (object)

  - `results.operation_stats.device_operation_statuses_count.resolved_device_count` (integer)

  - `results.operation_stats.device_operation_statuses_count.dispatched_device_count` (integer)

  - `results.operation_stats.device_operation_statuses_count.dispatch_failed_count` (integer)

  - `results.operation_stats.device_operation_statuses_count.failed_device_count` (integer)

  - `results.operation_stats.device_operation_statuses_count.success_device_count` (integer)


